From: https://gitlab.freedesktop.org/pixman/pixman/-/merge_requests/71

diff --git a/pixman/pixman-arm-asm.h b/pixman/pixman-arm-asm.h
index ee78541087377907073c02f15ac546e308c39a3f..4b62cf59eedfd87e6a501f8786c41d51c829fed8 100644
--- a/pixman/pixman-arm-asm.h
+++ b/pixman/pixman-arm-asm.h
@@ -27,11 +27,19 @@
 
 /* Supplementary macro for setting function attributes */
 .macro pixman_asm_function fname
-	.func fname
-	.global fname
+#ifndef __clang__
+	.func \fname
+#endif
+	.global _\fname
 #ifdef __ELF__
-	.hidden fname
-	.type fname, %function
+	.hidden \fname
+	.type \fname, %function
 #endif
-fname:
+_\fname:
 .endm
+
+.macro pixman_end_asm_function
+#ifndef __clang__
+    .endfunc
+#endif
+.endm
\ No newline at end of file
